#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './photoeditdlg.ui'
**
** Created: Tue Jul 18 11:39:53 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "photoeditdlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <kpushbutton.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qcheckbox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a PhotoEditDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PhotoEditDlg::PhotoEditDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PhotoEditDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 0, 0 ) );
    setSizeGripEnabled( FALSE );
    setModal( TRUE );

    TitleLbl = new QLabel( this, "TitleLbl" );
    TitleLbl->setGeometry( QRect( 20, 10, 80, 23 ) );
    QFont TitleLbl_font(  TitleLbl->font() );
    TitleLbl_font.setPointSize( 12 );
    TitleLbl_font.setBold( TRUE );
    TitleLbl->setFont( TitleLbl_font ); 

    m_title = new QLineEdit( this, "m_title" );
    m_title->setGeometry( QRect( 20, 40, 250, 26 ) );

    m_photoSize = new QComboBox( FALSE, this, "m_photoSize" );
    m_photoSize->setGeometry( QRect( 310, 40, 200, 26 ) );

    m_private = new QRadioButton( this, "m_private" );
    m_private->setGeometry( QRect( 340, 120, 70, 24 ) );
    m_private->setFocusPolicy( QRadioButton::StrongFocus );

    TagsLbl_2 = new QLabel( this, "TagsLbl_2" );
    TagsLbl_2->setGeometry( QRect( 310, 10, 117, 23 ) );
    QFont TagsLbl_2_font(  TagsLbl_2->font() );
    TagsLbl_2_font.setPointSize( 12 );
    TagsLbl_2_font.setBold( TRUE );
    TagsLbl_2->setFont( TagsLbl_2_font ); 

    QWidget* privateLayoutWidget = new QWidget( this, "layout2" );
    privateLayoutWidget->setGeometry( QRect( 20, 530, 490, 30 ) );
    layout2 = new QHBoxLayout( privateLayoutWidget, 0, 6, "layout2"); 

    m_above = new KPushButton( privateLayoutWidget, "m_above" );
    m_above->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)7, 0, 0, m_above->sizePolicy().hasHeightForWidth() ) );
    m_above->setMinimumSize( QSize( 30, 0 ) );
    layout2->addWidget( m_above );

    buttonOk = new QPushButton( privateLayoutWidget, "buttonOk" );
    buttonOk->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)7, 0, 0, buttonOk->sizePolicy().hasHeightForWidth() ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( FALSE );
    layout2->addWidget( buttonOk );

    buttonCancel = new QPushButton( privateLayoutWidget, "buttonCancel" );
    buttonCancel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)7, 0, 0, buttonCancel->sizePolicy().hasHeightForWidth() ) );
    buttonCancel->setAutoDefault( TRUE );
    layout2->addWidget( buttonCancel );

    m_below = new KPushButton( privateLayoutWidget, "m_below" );
    m_below->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)7, 0, 0, m_below->sizePolicy().hasHeightForWidth() ) );
    m_below->setMinimumSize( QSize( 30, 0 ) );
    layout2->addWidget( m_below );

    PrivacyLbl = new QLabel( this, "PrivacyLbl" );
    PrivacyLbl->setGeometry( QRect( 310, 90, 152, 23 ) );
    QFont PrivacyLbl_font(  PrivacyLbl->font() );
    PrivacyLbl_font.setPointSize( 12 );
    PrivacyLbl_font.setBold( TRUE );
    PrivacyLbl->setFont( PrivacyLbl_font ); 

    m_add = new QPushButton( this, "m_add" );
    m_add->setEnabled( FALSE );
    m_add->setGeometry( QRect( 310, 480, 80, 28 ) );

    m_remove = new QPushButton( this, "m_remove" );
    m_remove->setEnabled( FALSE );
    m_remove->setGeometry( QRect( 400, 480, 110, 28 ) );

    m_availableTags = new QComboBox( FALSE, this, "m_availableTags" );
    m_availableTags->setGeometry( QRect( 310, 440, 200, 26 ) );
    m_availableTags->setEditable( TRUE );
    m_availableTags->setAutoCompletion( TRUE );
    m_availableTags->setDuplicatesEnabled( FALSE );

    m_tags = new QListBox( this, "m_tags" );
    m_tags->setGeometry( QRect( 308, 270, 200, 160 ) );
    m_tags->setSelectionMode( QListBox::Multi );

    TagsLbl = new QLabel( this, "TagsLbl" );
    TagsLbl->setGeometry( QRect( 310, 240, 55, 23 ) );
    QFont TagsLbl_font(  TagsLbl->font() );
    TagsLbl_font.setPointSize( 12 );
    TagsLbl_font.setBold( TRUE );
    TagsLbl->setFont( TagsLbl_font ); 

    m_family = new QCheckBox( this, "m_family" );
    m_family->setGeometry( QRect( 370, 150, 70, 24 ) );
    m_family->setFocusPolicy( QCheckBox::StrongFocus );

    m_friends = new QCheckBox( this, "m_friends" );
    m_friends->setGeometry( QRect( 370, 180, 80, 24 ) );
    m_friends->setFocusPolicy( QCheckBox::StrongFocus );

    m_public = new QRadioButton( this, "m_public" );
    m_public->setGeometry( QRect( 340, 210, 70, 24 ) );
    m_public->setFocusPolicy( QRadioButton::StrongFocus );

    m_desc = new QTextEdit( this, "m_desc" );
    m_desc->setGeometry( QRect( 20, 240, 250, 270 ) );

    DescLbl = new QLabel( this, "DescLbl" );
    DescLbl->setGeometry( QRect( 20, 210, 115, 23 ) );
    QFont DescLbl_font(  DescLbl->font() );
    DescLbl_font.setPointSize( 12 );
    DescLbl_font.setBold( TRUE );
    DescLbl->setFont( DescLbl_font ); 

    m_zoom = new KPushButton( this, "m_zoom" );
    m_zoom->setGeometry( QRect( 30, 80, 30, 30 ) );
    m_zoom->setFlat( TRUE );

    m_rotate = new KPushButton( this, "m_rotate" );
    m_rotate->setGeometry( QRect( 30, 110, 30, 30 ) );
    m_rotate->setFlat( TRUE );

    m_pixmap = new QLabel( this, "m_pixmap" );
    m_pixmap->setGeometry( QRect( 60, 80, 165, 90 ) );
    m_pixmap->setPaletteBackgroundColor( QColor( 255, 255, 255 ) );
    m_pixmap->setFrameShape( QLabel::Box );
    m_pixmap->setScaledContents( TRUE );
    m_pixmap->setAlignment( int( QLabel::AlignCenter ) );
    languageChange();
    resize( QSize(532, 565).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_above, SIGNAL( clicked() ), this, SLOT( editPhotoAbove() ) );
    connect( m_below, SIGNAL( clicked() ), this, SLOT( editPhotoBelow() ) );

    // tab order
    setTabOrder( m_title, m_desc );
    setTabOrder( m_desc, m_photoSize );
    setTabOrder( m_photoSize, m_private );
    setTabOrder( m_private, m_public );
    setTabOrder( m_public, m_family );
    setTabOrder( m_family, m_friends );
    setTabOrder( m_friends, m_tags );
    setTabOrder( m_tags, m_availableTags );
    setTabOrder( m_availableTags, m_add );
    setTabOrder( m_add, m_remove );
    setTabOrder( m_remove, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PhotoEditDlg::~PhotoEditDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PhotoEditDlg::languageChange()
{
    setCaption( tr2i18n( "Edit Photo Properties" ) );
    TitleLbl->setText( tr2i18n( "Title:" ) );
    m_private->setText( tr2i18n( "Private" ) );
    TagsLbl_2->setText( tr2i18n( "Upload Size:" ) );
    m_above->setText( QString::null );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    m_below->setText( QString::null );
    PrivacyLbl->setText( tr2i18n( "Privacy Control:" ) );
    m_add->setText( tr2i18n( "Add" ) );
    m_remove->setText( tr2i18n( "Remove" ) );
    TagsLbl->setText( tr2i18n( "Tags:" ) );
    m_family->setText( tr2i18n( "Family" ) );
    m_friends->setText( tr2i18n( "Friends" ) );
    m_public->setText( tr2i18n( "Public" ) );
    DescLbl->setText( tr2i18n( "Description:" ) );
    m_zoom->setText( QString::null );
    m_rotate->setText( QString::null );
    m_pixmap->setText( QString::null );
}

void PhotoEditDlg::editPhotoAbove()
{
    qWarning( "PhotoEditDlg::editPhotoAbove(): Not implemented yet" );
}

void PhotoEditDlg::editPhotoBelow()
{
    qWarning( "PhotoEditDlg::editPhotoBelow(): Not implemented yet" );
}

void PhotoEditDlg::setPixmap(QPixmap*)
{
    qWarning( "PhotoEditDlg::setPixmap(QPixmap*): Not implemented yet" );
}

#include "photoeditdlg.moc"
